Bug 1690195 - csi-operator image in origin is 6 days old, 6 weeks old in OCP
Summary: csi-operator image in origin is 6 days old, 6 weeks old in OCP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.0
Assignee: Jan Safranek
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 01:18 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:15 UTC

Description Clayton Coleman 2019-03-19 01:18:39 UTC
If csi-operator is not being build in OSBS, it should be removed from origin and promotion.  Also, csi-external-provisioner is similarly old and needs to be made consistent (built or disabled in origin).

Finally, the following images exist only in OCP - if they are not part of 4.1, they should be removed from OCP.  If they are part of 4.1, they must have origin gating jobs.

 cephfs-provisioner, cluster-nfd-operator, csi-provisioner, efs-provisioner, manila-provisioner, snapshot-controller, snapshot-provisioner

Comment 1 Tomas Smetana 2019-03-19 13:07:13 UTC
Snapshots were added to CI:

https://github.com/openshift/release/pull/3142

Comment 2 Jan Safranek 2019-03-19 14:28:11 UTC
> If csi-operator is not being build in OSBS, it should be removed from origin and promotion

Ack. Removing its 'images' job: https://github.com/openshift/release/pull/3146. Is anything else necessary?


> Also, csi-external-provisioner is similarly old and needs to be made consistent (built or disabled in origin).

That's odd, because there is "csi-provisioner" built and shipped. They are the same thing. Looks like a typo somewhere.


> cluster-nfd-operator

"Node Feature Discovery Operator". This one is not ours.


> Finally, the following images exist only in OCP - if they are not part of 4.1, they should be removed from OCP.  If they are part of 4.1, they must have origin gating jobs.
> cephfs-provisioner, csi-provisioner, efs-provisioner, manila-provisioner, snapshot-controller, snapshot-provisioner

Will check what we want with these images.

Comment 3 Tomas Smetana 2019-03-19 14:50:38 UTC
The manila-provisioner image should be dropped from 4.1: there is the ose-manila-provisioner replacing it there and being built from different upstream.

Comment 4 Jan Safranek 2019-03-20 14:39:34 UTC
> Will check what we want with these images.

Filling https://docs.google.com/spreadsheets/d/1sJrEODvsfc-xH0fLc1XeBlcGr5S7VEQPogNxr9q4Jcs/edit

- We want csi-* (except csi-operator) built for 4.2.
- We want efs-provisioner, manila-provisioner and cephfs-provisioner removed from builds.

Comment 5 Tomas Smetana 2019-03-20 14:42:29 UTC
Note to manila: we want to keep building the new "ose-manila-provisioner" image in OSBS. And I added it to the OpenShit CI just recently too. So that one is hopefully OK too.

Comment 6 Jan Safranek 2019-03-20 16:59:33 UTC
Filled https://jira.coreos.com/browse/ART-518 to remove OCP images. IMO that's all for this BZ.

Comment 8 Tomas Smetana 2019-03-21 08:11:58 UTC
For completeness -- the "new" Manila is included in the Origin CI now too: https://github.com/openshift/release/pull/3147

Comment 11 Wenqi He 2019-04-16 02:16:36 UTC
The origin csi-operator is up to date:
$ curl -X GET https://quay.io/api/v1/repository/openshift/origin-csi-operator|json_reformat
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  1102  100  1102    0     0    936      0  0:00:01  0:00:01 --:--:--   936
{
    "trust_enabled": false,
    "description": null,
    "tags": {
        "v4.0.0": {
            "image_id": "bb20accfc1485bfed3a24b3a054144bc5adf34742ec49ca325193d7108fcb288",
            "last_modified": "Tue, 16 Apr 2019 02:00:49 -0000",
            "name": "v4.0.0",
            "manifest_digest": "sha256:237c983a8fc57ac23332ff65f3728f1cb9e0487bd259a0177d0f2f934285b86b",
            "size": 93093324
        },
        "v4.0": {
            "image_id": "bb20accfc1485bfed3a24b3a054144bc5adf34742ec49ca325193d7108fcb288",
            "last_modified": "Tue, 16 Apr 2019 02:00:48 -0000",
            "name": "v4.0",
            "manifest_digest": "sha256:237c983a8fc57ac23332ff65f3728f1cb9e0487bd259a0177d0f2f934285b86b",
            "size": 93093324
        },
        "latest": {
            "image_id": "bb20accfc1485bfed3a24b3a054144bc5adf34742ec49ca325193d7108fcb288",
            "last_modified": "Tue, 16 Apr 2019 02:00:48 -0000",
            "name": "latest",
            "manifest_digest": "sha256:237c983a8fc57ac23332ff65f3728f1cb9e0487bd259a0177d0f2f934285b86b",
            "size": 93093324
        }
    },
    "tag_expiration_s": 1209600,
    "is_public": true,
    "is_starred": false,
    "kind": "image",
    "name": "origin-csi-operator",
    "namespace": "openshift",
    "is_organization": true,
    "can_write": false,
    "status_token": "",
    "can_admin": false
}

And for csi-operator there is no latest and 4.1 tag which means it has been removed from building job.

Comment 13 errata-xmlrpc 2019-06-04 10:46:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.